Distribution:

  MicrosomalProteinBinding:
    dir: &dir_mpb "s3://datasets-ressources/PADMET_Panel/Distribution/MicrosomalProteinBinding/"
    MPB:
      - filename: "CHEMBL2071972.csv"
        dir: *dir_mpb
        smiles_col: "SMILES"
        unit: "pmol"
        task: "reg"
        type:
        target_cols: ["Standard Value"]
        short_cols:
#          CID: "Molecule ChEMBL ID"
          SMILES: "Smiles"
          ACTIVITY: "Standard Value"
        open_kwargs:
          sep: ";"
        opt_kwargs:
          value:
          type: "LO"
        size: 53
        ref: "CHEMBL905612"

  PlasmaProteinBinding:
    dir: &dir_ppb "s3://datasets-ressources/PADMET_Panel/Distribution/PlasmaProteinBinding"

    PPB:
      - filename: "AID_631744.csv"
        dir: *dir_ppb
        smiles_col: "SMILES"
        unit: "%"
        task: "reg"
        type:
        target_cols: ["Standard Value"]
        short_cols:
          CID: "PUBCHEM_CID"
          ACTIVITY: "Standard Value"
        open_kwargs:
          sep: ","
        opt_kwargs:
          value:
          type: "LO"
        size: 58
        ref: "AID_631744"

      - filename: "AID_1159390_ASTRAZENECA_PPB.csv"
        dir: *dir_ppb
        smiles_col: "SMILES"
        unit: "%"
        task: "reg"
        type:
        target_cols: ["Standard Value"]
        short_cols:
#          CID: "Molecule ChEMBL ID"
          SMILES: "Smiles"
          ACTIVITY: "Standard Value"
        open_kwargs:
          sep: ";"
        opt_kwargs:
          value:
          type: "LO"
        size: 2828
        ref: "AID_1159390"

  VolumeDistribution:
    dir: &dir_vd "s3://datasets-ressources/PADMET_Panel/Distribution/VolumeDistribution/"

    VDSS:
      - filename: "AID_444058.csv"
        dir: *dir_vd
        task: "reg"
        type:
        smiles_col:
        unit: "L/Kg"
        target_cols: ["Vdss(L/Kg)"]
        short_cols:
          CID: "PUBCHEM_CID"
          ACTIVITY: "Vdss(L/Kg)"
        open_kwargs: {}
        opt_kwargs: {}
        ref: "AID_444058"
        size: 305
        # optimal value depends on the target
        # < 0.3 L/kg: For vascular or extracellular targets
        # > 0.7 L/kg: For intracellular targets